package com.steering.mes.mcp.entity;

/**
 * 数据库表HTT_STEEL_CHANGE所对应的实体类（生成工具：代码生成器3.0）
 * @author LAPTOP-I2IGVKJC   date 2021-05-21
 */
@SuppressWarnings("serial")
public class HttSteelChangeEntity implements java.io.Serializable {
    /**
     * ID
     */
    private String id = "";
    /**
     * 钢级代码
     */
    private String steelCode = "";
    /**
     * 钢级名称
     */
    private String steelName = "";
    /**
     * 钢级转换
     */
    private String steelChange = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";

    /**
     * ID
     * @return value
     */
    public String getId() {
        return id;
    }

    /**
     * ID
     * @param id value
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 钢级代码
     * @return value
     */
    public String getSteelCode() {
        return steelCode;
    }

    /**
     * 钢级代码
     * @param steelCode value
     */
    public void setSteelCode(String steelCode) {
        this.steelCode = steelCode;
    }

    /**
     * 钢级名称
     * @return value
     */
    public String getSteelName() {
        return steelName;
    }

    /**
     * 钢级名称
     * @param steelName value
     */
    public void setSteelName(String steelName) {
        this.steelName = steelName;
    }

    /**
     * 钢级转换
     * @return value
     */
    public String getSteelChange() {
        return steelChange;
    }

    /**
     * 钢级转换
     * @param steelChange value
     */
    public void setSteelChange(String steelChange) {
        this.steelChange = steelChange;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
}
